develooper Front page | perl.perl6.users | Postings from April 2019

RFE: module extension defaults

Thread Previous
From:
ToddAndMargo via perl6-users
Date:
April 24, 2019 05:01
Subject:
RFE: module extension defaults
Message ID:
e078536b-06c5-53e0-8fd7-319168e870c8@zoho.com
Dear Perl 6 Developers:

Would you please consider the following Request for Enhancement.

There is a regression bug in 2019.03 where Perl 6 can no longer tell
the difference between Perl 5 modules (*.pm) and Perl 6
modules (*.pm6).  It loads "pm" before "pm6".

RFE: please set Perl 6 to only read "pm6" extension as the
module , UNLESS the extension its specified in the modules name.

For example:
     use CurlUtils       Would read CurlUtils.pm6 (not CurlUtils.pm)
     use CurlUtils.pmx   Would read CurlUtils.pmx, over riding the pm6

The majority of your new customers are coming from Perl 5.
This regression is causing me havoc.  I can't imagine what
it would be doing to for more prolific folks than me, especially
when they start porting over their old perl 5 modules to Perl 6.

Many thanks,
-T

$ ls Pause.*
Pause.pl  Pause.pl6  Pause.pm  Pause.pm6


$ perl6 -I. -MPause
===SORRY!=== Error while compiling -e
This appears to be Perl 5 code. If you intended it to be Perl 6 code, 
please use a Perl 6 style declaration like "unit package Foo;" or "unit 
module Foo;", or use the block form instead of the semicolon form.
at -e:1
------> package Pause;⏏<EOL>

Thread Previous


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About